Rated 4 out of 5 stars

please update for 4.0 beta

This review is for a previous version of the add-on (20080728.366). 

Firefox 4

Please use the beta version of AVIM: https://addons.mozilla.org/en-US/firefox/addon/2947/versions/